Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.sld
Interface PolygonSymbol

All Superinterfaces:
  Symbol

    @XmlElement(value="PolygonSymbolizer")
    public interface PolygonSymbol

extends Symbol

Holds the information that indicates how to draw the lines and the interior of polygons.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`Fill` | `getFill()` Returns the object that holds the information about how the interior of polygons should be filled.
`Stroke` | `getStroke()` Returns the object containing all the information necessary to draw styled lines.
`void` | `setFill(Fill f)` Sets the object the holds the information about how the interior of polygons should be filled.
`void` | `setStroke(Stroke s)` Sets the object containing all the information necessary to draw styled lines.

Methods inherited from interface Symbol
`accept, getAbstract, getGeometryAttribute, getName, getTitle, setAbstract, setGeometryAttribute, setName, setTitle`

Method Detail

### getStroke

    @XmlElement(value="Stroke")
    Stroke getStroke()

  Returns the object containing all the information necessary to draw styled lines. This is used for the edges of polygons.

### setStroke

    @XmlElement(value="Stroke")
    void setStroke(Stroke s)

  Sets the object containing all the information necessary to draw styled lines. This is used for the edges of polygons. See `getStroke()` for details.

### getFill

    @XmlElement(value="Fill")
    Fill getFill()

  Returns the object that holds the information about how the interior of polygons should be filled. This may be null if the polygons are not to be filled at all.

### setFill

    @XmlElement(value="Fill")
    void setFill(Fill f)

  Sets the object the holds the information about how the interior of polygons should be filled. This may be null if the polygons are not to be filled at all. See `getFill()` for details.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.